View Issue Details

IDProjectCategoryView StatusLast Update
0000957SOGo ConnectorBackend Address Bookpublic2010-11-16 16:29
Reporteralessio Assigned Towsourdeau 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Fixed in Version3.104 
Summary0000957: Fail sync if I move contact from an address book to another
Description
  • Create a new contact1 in my addressbook "book1"
  • create a new address book "book2" in my TB3
  • move contact1 from book1 to book2
  • see contact1 in book2, in thunderbird.
  • i don't see contact1 in book2, in sogo.
  • push syncronize a lot of time, nothing
  • close and re-open Thunderbird, nothing
  • i should open conatct1 and save
  • i see contact in sogo too
TagsNo tags attached.

Activities

alessio

alessio

2010-11-08 06:31

reporter   ~0001727

If i move the same contact1 directly in sogo, it works.
With thunderbird I lost this. if i move a lot of contacts, this bug stop me.

alessio

alessio

2010-11-11 04:12

reporter   ~0001754

localhost - - [02/Nov/2010:13:51:46 GMT] "PROPFIND /SOGo/dav/alessio/Contacts/C48738B0-B5B0-0001-A2E6-D62518001127/ HTTP/1.1" 207 439/175 0.021 1055 58% 0
localhost - - [02/Nov/2010:13:51:46 GMT] "DELETE /SOGo/dav/alessio/Contacts/personal/C48A15F1-3100-0001-9BDF-E3F01B4F3420.vcf HTTP/1.1" 204 0/0 0.009 - - 0

This is the operation that i see in sogo.log when i move a contact.

localhost - - [02/Nov/2010:13:52:08 GMT] "PROPFIND /SOGo/dav/alessio/Contacts/C48738B0-B5B0-0001-A2E6-D62518001127/ HTTP/1.1" 207 439/175 0.013 1055 58% 0
localhost - - [02/Nov/2010:13:52:08 GMT] "PUT /SOGo/dav/alessio/Contacts/C48738B0-B5B0-0001-A2E6-D62518001127/C4873896-C9E0-0001-DF50-1C24CAA08540.vcf HTTP/1.1" 201 0/199 0.024 - - 0
localhost - - [02/Nov/2010:13:52:08 GMT] "PROPFIND /SOGo/dav/alessio/Contacts/C48738B0-B5B0-0001-A2E6-D62518001127/ HTTP/1.1" 207 342/133 0.010 - - 0

This, when i click on contact and save. Seems that a PUT operation miss!

alessio

alessio

2010-11-11 07:16

reporter   ~0001757

Tested with last addon nightly bug remains.

alessio

alessio

2010-11-11 11:20

reporter   ~0001766

If i move contact from a local address book (not a sogo address book), it works
There is a PUT action, different from action above

localhost - - [02/Nov/2010:16:08:15 GMT] "PROPFIND /SOGo/dav/alessio/Contacts/C48A2E4D-AAF0-0001-AC46-70E91B0F1AC0/ HTTP/1.1" 207 442/175 0.013 1055 58% 0
localhost - - [02/Nov/2010:16:08:15 GMT] "PUT /SOGo/dav/alessio/Contacts/C48A2E4D-AAF0-0001-AC46-70E91B0F1AC0/C48A2E8C-7BE0-0001-6289-124016F0CF00.vcf HTTP/1.1" 201 0/219 0.015 - - 0
localhost - - [02/Nov/2010:16:08:15 GMT] "PROPFIND /SOGo/dav/alessio/Contacts/C48A2E4D-AAF0-0001-AC46-70E91B0F1AC0/ HTTP/1.1" 207 342/133 0.014 - - 0

wsourdeau

wsourdeau

2010-11-16 16:29

viewer   ~0001854

Fixed in 2431ab0c58c64e7dbd74fd767877011c408f63c3

Issue History

Date Modified Username Field Change
2010-11-08 06:01 alessio New Issue
2010-11-08 06:31 alessio Note Added: 0001727
2010-11-11 04:12 alessio Note Added: 0001754
2010-11-11 07:16 alessio Note Added: 0001757
2010-11-11 11:20 alessio Note Added: 0001766
2010-11-16 16:27 wsourdeau Project SOGo => SOGo Connector
2010-11-16 16:29 wsourdeau Note Added: 0001854
2010-11-16 16:29 wsourdeau Status new => resolved
2010-11-16 16:29 wsourdeau Fixed in Version => 3.104
2010-11-16 16:29 wsourdeau Resolution open => fixed
2010-11-16 16:29 wsourdeau Assigned To => wsourdeau